stateTableEvents Struct Reference
State Machine header.

State table holds states and corresponding event tables. More...

`#include <FsmFramework.h>`

## Data Fields

int32_t | s32StateId
vCallback_t | vOnEntry
vCallback_t | vOnDo
vCallback_t | vOnExit
psStateTransitions_t | psStateEvents
psStateTable_t | psNestedStateTable

## Detailed Description

State table holds states and corresponding event tables.

An entry in state table holds the state id for which the entry is created, as well as the event table and three callbacks for functions that are called on state entry, exit and while beeing in the state. Not used functions should be null.

The documentation for this struct was generated from the following file:

- FsmFramework.h